%define gkplugindir %{_libdir}/gkrellm2/plugins

Summary: CPU frequency display plugin for GKrellM
Name: gkrellm-freq
Version: 2.0
Release: 1%{?dist}
License: GPLv2+
Group: Applications/System
URL: http://sourceforge.net/projects/gkrellm-gkfreq/
Source: http://downloads.sourceforge.net/gkrellm-gkfreq/gkrellm-gkfreq-%{version}.tar.gz
Patch0: gkrellm-gkfreq-1.0-rmasm.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires: gkrellm%{?_isa} >= 2.2.0
BuildRequires: gkrellm-devel >= 2.2.0

%description
This plugin for GKrellM, the GNU Krell Monitor, displays the current CPU speed
using the "dynamic" cpufrequency scheme.


%prep
%setup -q -n gkrellm-gkfreq-%{version}
sed -i -e 's/\([[:space:]]gcc.*[[:space:]]\)-c/\1%{optflags} -c/g' Makefile
for f in gkfreq_cpu*.c ; do
    %{__patch} -p1 -b -z .rmasm -i %{PATCH0} \
        -F %{?_default_patch_fuzz}%{!?_default_patch_fuzz:0} $f
done


%build
make %{?_smp_mflags}


%install
%{__rm} -rf %{buildroot}
%{__install} -dm 755 %{buildroot}%{gkplugindir}
%{__install} -pm 755 gkfreq_cpu*.so %{buildroot}%{gkplugindir}


%clean
%{__rm} -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc ChangeLog COPYING README
%{gkplugindir}/gkfreq_cpu*.so


%changelog
* Wed Mar 30 2011 Ville Skyttä <ville.skytta@iki.fi> - 2.0-1
- Update to 2.0.
- Update URLs and License (GPLv2+).
- Make gkrellm dependency ISA qualified.

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.0-8
- Autorebuild for GCC 4.3

* Wed Sep 12 2007 Matthias Saou <http://freshrpms.net/> 1.0-7
- Fix License field, it's actually GPL+ which is okay for GPLv3 gkrellm.

* Wed Aug 22 2007 Matthias Saou <http://freshrpms.net/> 1.0-6
- Rebuild for new BuildID feature.

* Sun Aug  5 2007 Matthias Saou <http://freshrpms.net/> 1.0-5
- Update License field... GPLv2 only, will be a problem with GPLv3 gkrellm.

* Fri Jun 22 2007 Matthias Saou <http://freshrpms.net/> 1.0-4
- Remove dist, as it might be a while before the next rebuild.

* Mon Aug 28 2006 Matthias Saou <http://freshrpms.net/> 1.0-3
- FC6 rebuild.

* Mon Mar  6 2006 Matthias Saou <http://freshrpms.net/> 1.0-2
- FC5 rebuild.

* Wed Feb  8 2006 Matthias Saou <http://freshrpms.net/> 1.0-1
- Update to 1.0.
- Update the rmasm patch.
- Update original name from gkfreq to gkrellm-gkfreq.

* Fri Jul 15 2005 Matthias Saou <http://freshrpms.net/> 0.1.1-2
- Include patch to remove unused function containing an asm call that made
  build fail on PPC.

* Tue Jul 12 2005 Matthias Saou <http://freshrpms.net/> 0.1.1-1
- Initial RPM release, split out from my old gkrellm-plugins package.

